Package org.eclipse.emf.cdo.eresource.util

# Klasse EresourceSwitch<T>

java.lang.Object
org.eclipse.emf.cdo.eresource.util.EresourceSwitch<T>

public class EresourceSwitch<T> extends Object
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

Siehe auch:
  - `EresourcePackage`
Generated

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`protected static EresourcePackage`
`modelPackage`
The cached model package

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`EresourceSwitch()`
Creates an instance of the switch.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`T`
`caseCDOBinaryResource(CDOBinaryResource object)`
Returns the result of interpreting the object as an instance of 'CDO Binary Resource'.
`<IO> T`
`caseCDOFileResource(CDOFileResource<IO> object)`
Returns the result of interpreting the object as an instance of 'CDO File Resource'.
`T`
`caseCDOResource(CDOResource object)`
Returns the result of interpreting the object as an instance of 'CDO Resource'.
`T`
`caseCDOResourceFolder(CDOResourceFolder object)`
Returns the result of interpreting the object as an instance of 'CDO Resource Folder'.
`T`
`caseCDOResourceLeaf(CDOResourceLeaf object)`
Returns the result of interpreting the object as an instance of 'CDO Resource Leaf'.
`T`
`caseCDOResourceNode(CDOResourceNode object)`
Returns the result of interpreting the object as an instance of 'CDO Resource Node'.
`T`
`caseCDOTextResource(CDOTextResource object)`
Returns the result of interpreting the object as an instance of 'CDO Text Resource'.
`T`
`defaultCase(EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T`
`doSwitch(EClass theEClass, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T`
`doSwitch(EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Felddetails

### modelPackage

protected static EresourcePackage modelPackage
The cached model package

Generated

## Konstruktordetails

### EresourceSwitch

public EresourceSwitch()
Creates an instance of the switch.

Generated

## Methodendetails

### doSwitch

public T doSwitch(EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Gibt zurück:
  the first non-null result returned by a `caseXXX` call.
Generated

### doSwitch

protected T doSwitch(EClass theEClass, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Gibt zurück:
  the first non-null result returned by a `caseXXX` call.
Generated

### doSwitch

protected T doSwitch(int classifierID, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Gibt zurück:
  the first non-null result returned by a `caseXXX` call.
Generated

### caseCDOResourceNode

public T caseCDOResourceNode(CDOResourceNode object)
Returns the result of interpreting the object as an instance of 'CDO Resource Node'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'CDO Resource Node'.
Seit:
  2.0
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseCDOResourceFolder

public T caseCDOResourceFolder(CDOResourceFolder object)
Returns the result of interpreting the object as an instance of 'CDO Resource Folder'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'CDO Resource Folder'.
Seit:
  2.0
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseCDOResource

public T caseCDOResource(CDOResource object)
Returns the result of interpreting the object as an instance of 'CDO Resource'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'CDO Resource'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseCDOResourceLeaf

public T caseCDOResourceLeaf(CDOResourceLeaf object)
Returns the result of interpreting the object as an instance of 'CDO Resource Leaf'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'CDO Resource Leaf'.
Seit:
  4.1
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseCDOFileResource

public <IO> T caseCDOFileResource(CDOFileResource<IO> object)
Returns the result of interpreting the object as an instance of 'CDO File Resource'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'CDO File Resource'.
Seit:
  4.1
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseCDOBinaryResource

public T caseCDOBinaryResource(CDOBinaryResource object)
Returns the result of interpreting the object as an instance of 'CDO Binary Resource'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'CDO Binary Resource'.
Seit:
  4.1
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseCDOTextResource

public T caseCDOTextResource(CDOTextResource object)
Returns the result of interpreting the object as an instance of 'CDO Text Resource'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'CDO Text Resource'.
Seit:
  4.1
Siehe auch:
  - `doSwitch(EObject)`
Generated

### defaultCase

public T defaultCase(EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'EObject'.
Siehe auch:
  - `doSwitch(org.eclipse.emf.ecore.EObject)`
Generated